> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/enablement-services/queries/userquery.md).

# Me

{% hint style="info" icon="lock" %}
**Authorization**

Requires user scoped authorization via session token. See the 'Session Token Authentication' section in [Enablement Services Authorization](/enablement-services/enablement-services-getting-started/enablement-services-authentication.md) guide for reference.
{% endhint %}

The `Me` query allows you to query the current user object. These query requires authentication and requires your session token to be passed along with the request. (See how to authenticate [here](/enablement-services/enablement-services-getting-started/enablement-services-authentication.md)).

### Full User Query

{% code title="Query" %}

```graphql
query Me {
    me {
        id
        email
        phoneNumber
        status
        createdAt
        updatedAt
        syncedAt
        closedAt
        name {
            first
            middle
            last
        }
        address {
            line1
            line2
            city
            state
            country
            zipcode
            type
        }
        notificationPreferences: NotificationType!
        legalAgreementVersions {
            name
          	version
        }
        connections(input: { first: Int!, after: Int! }) {
            totalCount
            edges {
                cursor
                node {
                    id
                    institution {
                        id
                        name
                    }
                }
            }
        }
        tradelines(input: { first: Int!, after: Int! }) {
            totalCount
            edges {
                cursor
                node {
                    id
                    merchant
                    category
                    isOpen
                    isEligible
                    paymentFrequency
                    serviceAddress
                    servicePhone
                    leaseStartDate
                    utilityTypes
                    serviceAddressType
                    createdAt
                    updatedAt
                    transactions(input: { first: Int!, after: Int! }) {
                        totalCount
                        edges {
                            cursor
                            node {
                                id
                                date
                                value {
                                    amount
                                    currency
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

```

{% endcode %}

#### Input Attributes from Full User Query

| Attribute  | Description                                                                                                                                                                                          |
| ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **userID** | This is not a param you will pass, but rather we will get this from your session token to validate whether you are allowed to query this user. The logged in user can only see data for their user.  |
| **first**  | This is a pagination parameter. (I.e. get the first `N` records). - Optional. Only required if you are wanting to query for the `connections`, `tradelines`, and/or `transactions`                   |
| **after**  | This is a pagination parameter. (I.e. get the first `N`records `AFTER`this cursor). - Optional. Only required if you are wanting to query for the `connections`, `tradelines`, and/or `transactions` |

***

#### Output Attributes from Full User Query

| Attribute                   | Description                                                                                                                                                                       |
| --------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **id**                      | Global identifier for the user.                                                                                                                                                   |
| **email**                   | User's email address                                                                                                                                                              |
| **phoneNumber**             | User's phone number                                                                                                                                                               |
| **name**                    | User's [name](/enablement-services/models/name.md).                                                                                                                               |
| **address**                 | User's [address](/enablement-services/models/address.md).                                                                                                                         |
| **status**                  | User's [status](/enablement-services/models/userstatus.md)                                                                                                                        |
| **notificationPreferences** | Notifications are currently not sent for Enablement Services. [NotificationType](/enablement-services/models/notificationtype.md)                                                 |
| **legalAgreementVersions**  | The Legal agreement versions the user has accepted. [LegalAgreementVersions](/enablement-services/models/legalagreementversions.md)                                               |
| **createdAt**               | The time the user was created in the database.                                                                                                                                    |
| **updatedAt**               | The last time the user was updated.                                                                                                                                               |
| **syncedAt**                | The last time this user's connections were synced.                                                                                                                                |
| **closedAt**                | The time this user profile was closed.                                                                                                                                            |
|                             |                                                                                                                                                                                   |
| **connections**             | The financial institution connections the user has created. \* \*Requires the [ConnectionsInput](/enablement-services/models/connectionsinput.md)                                 |
| **tradelines**              | The tradelines associated with the connected financial institution(s) this user has connected. \*\*Requires the [TradelinesInput](/enablement-services/models/tradelinesinput.md) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/enablement-services/queries/userquery.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
